/*LUA_FUNCTION(CreateCSteamID)
{
	gLua->CheckType(1, GLua::TYPE_NUMBER);
	gLua->CheckType(2, GLua::TYPE_NUMBER);
	gLua->CheckType(3, GLua::TYPE_STRING);
	gLua->CheckType(4, GLua::TYPE_STRING);

	std::string uniStr(gLua->GetString(3)), accStr(gLua->GetString(4));

	EUniverse uniEnum;
	EAccountType accEnum;
	
	EnumString<EUniverse>::To(uniEnum, uniStr);
	EnumString<EAccountType>::To(accEnum, accStr);

	CSteamID *cID = new CSteamID;
	cID->InstancedSet(gLua->GetNumber(1), gLua->GetInteger(2), uniEnum, accEnum);

	if (cID->IsValid())
		gLua->PushUserData(gLua->GetMetaTable(CSTEAMID_NAME, CSTEAMID_ID), cID);
	else
		gLua->PushNil();

	return 1;
}*/

LUA_FUNCTION(LocalCSteamID)
{
	CSteamID *cID = new CSteamID(steamUser->GetSteamID());

	gLua->PushUserData(gLua->GetMetaTable(CSTEAMID_NAME, CSTEAMID_ID), cID);
	
	return 1;
}

LUA_FUNCTION(FriendCount)
{
	gLua->CheckType(1, GLua::TYPE_NUMBER);

	gLua->PushDouble(steamFriends05->GetFriendCount(gLua->GetInteger(1)));
	
	return 1;
}

LUA_FUNCTION(FriendByIndex)
{
	gLua->CheckType(1, GLua::TYPE_NUMBER);
	gLua->CheckType(2, GLua::TYPE_NUMBER);

	CSteamID *cID = new CSteamID(steamFriends05->GetFriendByIndex(gLua->GetInteger(1), gLua->GetInteger(2)));
	
	if (cID->IsValid())
		gLua->PushUserData(gLua->GetMetaTable(CSTEAMID_NAME, CSTEAMID_ID), cID);
	else
		gLua->PushNil();

	return 1;
}

LUA_FUNCTION(GroupCount)
{
	gLua->PushDouble(steamFriends05->GetClanCount());
	
	return 1;
}

LUA_FUNCTION(GroupByIndex)
{
	CSteamID *cID = new CSteamID(steamFriends05->GetClanByIndex(gLua->GetInteger(1)));
	
	if (cID->IsValid())
		gLua->PushUserData(gLua->GetMetaTable(CSTEAMID_NAME, CSTEAMID_ID), cID);
	else
		gLua->PushNil();

	return 1;
}

LUA_FUNCTION(ActivateGameOverlay)
{
	steamFriends05->ActivateGameOverlay(gLua->GetString(1));
	
	return 0;
}

LUA_FUNCTION(AddFriendByName)
{
	steamFriends02->AddFriendByName(gLua->GetString(1));
	
	return 0;
}

LUA_FUNCTION(SetName)
{
	gLua->CheckType(1, GLua::TYPE_STRING);

	steamFriends05->SetPersonaName(gLua->GetString(1));

	return 0;
}

LUA_FUNCTION(GetName)
{
	gLua->Push(steamFriends05->GetPersonaName());

	return 1;
}

LUA_FUNCTION(SetStatus)
{
	gLua->CheckType(1, GLua::TYPE_STRING);

	std::string strState(gLua->GetString(1));
	EPersonaState newState;

	if (EnumString<EPersonaState>::To(newState, strState))
		steamFriends02->SetPersonaState(newState);

	return 0;
}

LUA_FUNCTION(GetStatus)
{
	gLua->Push(EnumString<EPersonaState>::From(steamFriends05->GetPersonaState()).c_str());

	return 1;
}