#define APPINFO_NAME "CAppInfo"
#define APPINFO_ID 7031

#define GAMEINFO_NAME "CGameInfo"
#define GAMEINFO_ID 7030

#define CSTEAMID_NAME "CSteamID"
#define CSTEAMID_ID 7029

struct GameInfoStruct {
	CGameID *id;
	std::string ip;
	int port, qport;
};

GMOD_MODULE(Load, Unload);

ILuaInterface *gLua = NULL;

ISteamClient007 *steamClient = NULL;
//IClientEngine *clientEngine = NULL;
ISteamUser012 *steamUser = NULL;
ISteamFriends002 *steamFriends02 = NULL;
ISteamFriends005 *steamFriends05 = NULL;
IClientFriends *clientFriends = NULL;

HSteamPipe hSteamPipe = NULL;
HSteamUser hSteamUser = NULL;

HSteamCall hSteamCall;
CallbackMsg_t CallbackMsg;